org.keycloak.models

## Class ProtocolMapperModel

- java.lang.Object
- - org.keycloak.models.ProtocolMapperModel

-     public class ProtocolMapperModel
      extends Object

  Specifies a mapping from user data to a protocol claim assertion. If protocolMapper is set, this points to a @Provider that will perform the mapping. If you have this set, then no other attributes of this class need to be set. If you don't have it set, then this is a simple one to one mapping between the protocolClaim and the sourceAttribute. SourceAttribute is the user data, protocolClaim is the name of the data you want to store in the protocols document or token.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `config`
    `protected boolean` | `consentRequired`
    `protected String` | `consentText`
    `protected String` | `id`
    `protected String` | `name`
    `protected String` | `protocol`
    `protected String` | `protocolMapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMapperModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Map<String,String>` | `getConfig()`
    `String` | `getConsentText()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getProtocol()`
    `String` | `getProtocolMapper()`
    `int` | `hashCode()`
    `boolean` | `isConsentRequired()`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setConsentText(String consentText)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMapper(String protocolMapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### protocol

          protected String protocol

    - #### protocolMapper

          protected String protocolMapper

    - #### consentRequired

          protected boolean consentRequired

    - #### consentText

          protected String consentText

    - #### config

          protected Map<String,String> config

  - ### Constructor Detail

    - #### ProtocolMapperModel

          public ProtocolMapperModel()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### getProtocolMapper

          public String getProtocolMapper()

    - #### setProtocolMapper

          public void setProtocolMapper(String protocolMapper)

    - #### isConsentRequired

          public boolean isConsentRequired()

    - #### setConsentRequired

          public void setConsentRequired(boolean consentRequired)

    - #### getConsentText

          public String getConsentText()

    - #### setConsentText

          public void setConsentText(String consentText)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015. All rights reserved.